package com.persagy.dmp.report.controller;

import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.report.common.criteria.JacksonCriteria;
import com.persagy.dmp.report.entity.ReportConfig;
import com.persagy.dmp.report.service.ReportConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/report/config")
public class ReportConfigController {

    @Autowired
    private ReportConfigService service;

    @PostMapping("/query")
    public PagedResponse<ReportConfig> query(@RequestBody JacksonCriteria criteria) {
        return service.query(criteria);
    }

}
